---
  name: staticdatelist
  decscription: Gets SQL Date Dimension
  # No input parametrs
  out_parameters:
    - dstart
      type: date
    - dend
      type: date
  
  dataservice:
    type: service
    name: RunPostgresQuery
    sql: "select min(mdate) dstart, max(mdate) dend from clearsky.observatorysqmreading "

  renderservice:
    type: embedded
    html: "<form action="#" method="POST">
            <select name="yearselect" id="yearselect" onchange="this.form.submit()"> 
              {years}
            </select>
            <select name="monthselect" id="monthselect" onchange="this.form.submit()"> 
              {months}
            </select>
          </form>"